summaryrefslogtreecommitdiff
path: root/tests/tests/alternating-dgit
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tests/alternating-dgit')
-rwxr-xr-xtests/tests/alternating-dgit25
1 files changed, 25 insertions, 0 deletions
diff --git a/tests/tests/alternating-dgit b/tests/tests/alternating-dgit
new file mode 100755
index 0000000..c2ada5c
--- /dev/null
+++ b/tests/tests/alternating-dgit
@@ -0,0 +1,25 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-setup-import examplegit
+t-setup-import http-git-check
+
+cd $p
+
+git checkout -b nondgit
+t-commit 'non-dgit upload'
+t-non-dgit-upload
+
+cd ..
+
+t-dgit clone $p ./$p.2
+cd $p.2
+
+t-commit 'now a dgit upload again'
+
+t-dgit -wgf push-source
+t-refs-same-start
+t-pushed-good dgit/sid
+
+t-ok